Subject: Re: bug#65750: 12.2; LaTeX-mark-section and LaTeX-section-list

From: Ikumi Keita <[email-masked]>
Date: Fri, 23 Feb 2024 21:42:53 +0900

Hi Janet,

>>>>> Janet Chen <[email-masked]> writes:
> Dear Ikumi,
> Thanks very much!

>> I installed a fix in the git repo, so you won't need the workaround
>> under the next AUCTeX release.
>> 
>> I'll close this bug.

I'm sorry to deliver you a bad news. In response to bug#69254[1], we
decided to revert the fix of bug#65750. This is in favor of being able
to turn on outline minor mode in `LaTeX-mode-hook'. See the thread of
[1] for detail.

Therefore, you again need the code block
(add-hook 'LaTeX-mode-hook
	  (lambda ()
	    (add-hook 'hack-local-variables-hook
		      (lambda ()
			(setq-local outline-regexp (LaTeX-outline-regexp t))
			(setq outline-heading-alist
			      (mapcar (lambda (x)
					(cons (concat "\\" (nth 0 x)) (nth 1 x)))
				      LaTeX-section-list)))
		      nil t)))
in your init file to make `LaTeX-mark-section' recognize your customize
to `LaTeX-section-list' as the file local variable after the next AUCTeX
release.

Sorry for inconvenience.

[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69254

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW